<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Friend List</title>
</head>
<body>
  <h1>Your Friend List</h1>
  <table>
    <tr>
      <th>Name</th>
      <th>NPM</th>
      <th>Date of Birth</th>
    </tr>
    {% for friend in friends %}
    <tr>
      <td>{{ friend.name }}</td>
      <td>{{ friend.npm }}</td>
      <td>{{ friend.dob }}</td>
    </tr>
    {% endfor %}
  </table>
</body>
</html>